Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	X11 terminal emulator
Name:		xterm
Version:	261
Release:	1
License:	MIT
URL:		ftp://invisible-island.net/xterm/
Group:		System/XFree86
Source0:	%{name}-%{version}.tgz
Source1:	XTerm
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# fix pcre compiletime detection
Patch0:		xterm-258-pcre.patch

# not linked against, but configure checks for the following
BuildRequires:	freetype-devel
BuildRequires:	pcre-devel

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXft-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
BuildRequires: ncurses-devel

%description
The xterm program is a terminal emulator for the X Window System.
It provides DEC VT102 and Tektronix 4014 compatible terminals for programs
that can't use the window system directly.
This version implements ISO/ANSI colors using
the "new" color model (i.e., background color erase).
It also implements most of the control sequences for VT220.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1

%build
#fix PROJECTROOT - might become obsolete
sed -i 's@/usr/X11R6@/usr@' main.h

%configure \
--enable-luit \
--with-wide-chars \
--with-pcre \
--enable-exec-xterm \
--enable-toolbar \
--enable-256-color 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install-ti DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/X11/app-defaults
install %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/X11/app-defaults/

%files
%defattr(-,root,root)
# prevent conflict with already existing files in ncurses package:
%exclude %_libdir/terminfo

%{_bindir}/koi8rxterm
%{_bindir}/resize
%{_bindir}/uxterm
%{_bindir}/xterm
%{_libdir}/X11/app-defaults/KOI8RXTerm
%{_libdir}/X11/app-defaults/UXTerm
%{_libdir}/X11/app-defaults/XTerm
%{_libdir}/X11/app-defaults/XTerm-color
%{_libdir}/X11/app-defaults/KOI8RXTerm-color
%{_libdir}/X11/app-defaults/UXTerm-color
%{_mandir}/man1/koi8rxterm.1.gz
%{_mandir}/man1/resize.1.gz
%{_mandir}/man1/uxterm.1.gz
%{_mandir}/man1/xterm.1.gz
%{_datadir}/pixmaps/xterm-color_32x32.xpm
%{_datadir}/pixmaps/xterm-color_48x48.xpm
%{_datadir}/pixmaps/xterm_32x32.xpm
%{_datadir}/pixmaps/xterm_48x48.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jun 30 2010 Karsten Brockmann <arcam@ccux-linux.de> 261-1
- Version update
* Mon May 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 258-1
- Version update
* Thu Dec 31 2009 Christian Wasem <wasem@ccux-linux.de> 253-1
- Version update
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 252-1
- Version update
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 237-1
- Version update
* Mon Jul 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 236-1
- Version update
* Mon Apr 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 235-1
- Version update
* Tue Mar 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 234-1
- Version update
* Mon Jan 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 231-1
- Version update
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 230-1
- Version update
* Mon Sep 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 229-1
- Version update
* Sun Jun 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 226-1
- Version update
* Sun Mar 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 225-1
- Version update
* Thu Jan 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 223-2
- corrected license type entry to MIT
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 223-1
- version update
* Wed Oct 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 222-1
- version update
* Mon Oct 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 221-1
- version update
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 220-1
- version update
- built against X.org 7.1.1
* Thu Aug 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 218-1
- version update
* Mon Aug 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 217-1
- version update
* Sat Aug 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 216-1
- version update
* Sun Apr 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 211-1
- Initial Release
